Page MenuHomePhabricator

Activate Kartographer in Georgian wikipedia
Closed, ResolvedPublic

Description

Please activate kartographer in ka.wikipedia.org. Let me know if you need local vote for this.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable mapframe at kawiki

Event Timeline

Surprizi created this task.Aug 3 2019, 11:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2019, 11:25 AM

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.

Please follow https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes when requesting such kinds of changes. Thanks!

Viztor removed a project: Maps (Kartographer).EditedAug 3 2019, 7:53 PM
Viztor added a subscriber: Viztor.
This comment has been deleted.

Hi again!

We locally discussed situation about "mapframe" and agreed that we want to use this wiki-instrument in future.

Please note there are not enough developers to develop new features for this extension. We're happy to enable it on other wikis, but we can't fulfil new features request, if you'll have any. Obviously, bugs will be remedied. Once you acknowledge this information, we can enable the extension.

Ok. We are acknowledged this information and you can enable the extension.

Thanks a lot!

Urbanecm claimed this task.Aug 4 2019, 4:13 PM
Urbanecm triaged this task as Normal priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 4 2019, 4:13 PM

Hmm... It's supposed to be already enabled, see below:

'wgKartographerEnableMapFrame' => [
	'default' => true,
	// Disable for FlaggedRevs wikis with $wgFlaggedRevsOverride=true (T191585)
	'bswiki' => false,
	'dewiki' => false,
	'huwiki' => false,
	'idwiki' => false,
	'kawiki' => false,
	'plwiki' => false,
	'sqwiki' => false,
	'trwiki' => false,
	'zh_classicalwiki' => false,
],

But it clearly isn't enabled.

[urbanecm@mwmaint1002 ~]$ mwrepl kawiki
Welcome to HipHop Debugger!
Type "help" or "?" for a complete list of commands.

Note: no server specified, debugging local scripts only.
If you want to connect to a server, launch with "-h" or use:
  [m]achine [c]onnect <servername>

hphpd> var_dump($wgKartographerEnableMapFrame);
var_dump($wgKartographerEnableMapFrame);
bool(false)

hphpd> ^Dquit
[urbanecm@mwmaint1002 ~]$
MSantos added a subscriber: MSantos.Aug 4 2019, 4:24 PM

Hmm... It's supposed to be already enabled, see below:
[...]
'kawiki' => false,
[...]

Did you remove this line? If not, this should be disabled as it is.

Hmm... It's supposed to be already enabled, see below:
[...]
'kawiki' => false,
[...]

Did you remove this line? If not, this should be disabled as it is.

Eh, I'm just blind, thanks :). I see T191585 says there are problems if wgFlaggedRevsOverride=true, which is the case for kawiki. I don't know what kind of problems that means, @Catrope, could you comment here, please?

Hi dear friends!

Is this task finished or not?

@Surprizi: Not. Please read the previous comment before your comment again. Thanks!

Yes, combining Kartographer with FlaggedRevsOverride causes some problems. We'll still enable Kartographer on your wiki if you want it, but you should know about this bug so that you can make an informed decision.

The bug happens when you have a <mapframe> tag with JSON inside it (used for markers on the map), this JSON is edited (to move/change the markers), and then a user views an older version of the page. In that situation, the map that was edited will break after some time (about an hour), and the user will see a blank grey rectangle instead of the map. On most wikis, users rarely view older versions of pages, but on wikis with FlaggedRevs it happens all the time: when a page has unapproved edits, most readers will be shown the approved/stable version by default, rather than the latest/unstable version. If the pending (unapproved) edits changed the markers on a map, these readers may see a broken map.

This page on test2wiki illustrates the situation in which the bug happens, but unfortunately it doesn't actually demonstrate the bug because static maps are not enabled there (I'll change that early next week, so that it breaks the way it's supposed to).

In summary:

  • When viewing the latest (possibly unapproved) version of a page
    • Everything works fine
  • When viewing an older (approved) version of a page
    • If the markers on the map were changed between the older (approved) and latest (unapproved) versions of the page
      • Then the map will break, and display a grey rectangle (but not immediately, it'll take up to an hour)
    • If the markers on the map were not changed
      • Then the map will display just fine

Thanks a lot!

Urbanecm changed the task status from Open to Stalled.Aug 17 2019, 3:12 PM

Putting the task on hold waiting on community's informed decision.

@Urbanecm: By who exactly, on which specific question?

@Aklapper I stalled the task above pending on community's "informed decision", if they want the extension to be enabled even with the bug @Catrope described in T229726#5419327, that will probably affect them.

Hello to all. Sorry, I just saw a specific proposal so the question, give me about 5-7 days and I will inform our community and will return with a specific answer. Thanks! :)

Thank you, @Mehman97. Let us know.

Mehman97 added a comment.EditedOct 2 2019, 4:26 PM

Hi @Urbanecm! I informed Georgian Wiki community about what was said above. The community decided that you need to enable this feature despite the bugs, so you can hardily start integrating new maps in Georgian Wikipedia. Thanks.

Change 546673 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable mapframe at kawiki

https://gerrit.wikimedia.org/r/546673

Urbanecm changed the task status from Stalled to Open.Mon, Oct 28, 6:28 PM

Per the above, sorry for my late reply, I missed your message.

Change 546673 merged by Urbanecm:
[operations/mediawiki-config@master] Enable mapframe at kawiki

https://gerrit.wikimedia.org/r/546673

Mentioned in SAL (#wikimedia-operations) [2019-10-28T18:30:11Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 30111f3: Enable mapframe at kawiki (T229726) (duration: 00m 53s)

Urbanecm closed this task as Resolved.Mon, Oct 28, 6:30 PM

Deployed!